/********************************************************************

********************************************************************/

/*-------------------------------------------------------------------
PROGRAM DESCRIPTION:
 This program is an example of storing html settings into flash memory.
 -------------------------------------------------------------------*/
 
#include "predef.h" 
#include <stdio.h>
#include <ctype.h>
#include <startnet.h>
#include <autoupdate.h>
#include <dhcpclient.h>
#include <netinterface.h>
#include <taskmon.h>
#include "clientweb.h"
//#include <wifi.h>

//----- Function Prototypes -----
extern "C" { 
void UserMain(void * pd);
}

const char * AppName="tcpclient-nb";
void UserMain(void * pd)
{
   InitializeStack();
   int EthernetInterface = GetFirstInterface();  // Get first interface identifier 
   InterfaceBlock *ib = GetInterFaceBlock( EthernetInterface );  // Get interface data 
//   int nwifi_if=AddWiFiInterface();
//   if (InterfaceIP(nwifi_if)==0) GetDHCPAddress(nwifi_if);
   if (ib->netIP == 0)  // Check IP address for 0.0.0.0, and use DHCP if necessary 
   { 
      iprintf( "\r\nNo static IP address set, attempting DHCP\r\n"); 
      if ( GetDHCPAddress() != DHCP_OK ) 
         iprintf("*** DHCP Failed \r\n"); 
      else 
         iprintf( "DHCP IP Address: "); 
   } 
   else 
      iprintf("Static IP Address: "); 
   ShowIP(ib->netIP); iprintf("\r\n"); 
   OSChangePrio(MAIN_PRIO);
   EnableAutoUpdate();
   StartHTTP();
   EnableTaskMonitor();
   
   RegisterPost();			// Register HTML Post function
	CheckNVSettings();		// Check flash memory storage

	iprintf("Application started\r\n");	
   iprintf("My IP Address is: "); ShowIP(EthernetIP);
	iprintf("\r\n");
   
   while (1)
   {
      OSTimeDly(20);
   }
}
